GMPACK(1)

NAME
gmpack - Project Peppercorn

SYNOPSIS
gmpack input.config [output.bit] [options]

DESCRIPTION
Error: input file is mandatory.

Open Source Tools for GateMate FPGAs Version 1.12-1 Copyright © 2024 The Project Peppercorn Authors

gmpack: GateMate bitstream packer

  Allowed options:

-h [ --help ]
    show help

-v [ --verbose ]
    verbose output

--reset
    reset all configuration latches with CMD_CFGRST

--crcmode arg
    CRC error behaviour (check, ignore, unused)

--spimode arg
    SPI Mode to use (single, dual, quad)

--reconfig
    enable reconfiguration in bitstream

--background
    enable background reconfiguration in bitstream

--bootaddr arg
    boot address for secondary bitstream

--input arg
    input textual configuration

--bit arg
    output bitstream file